VERSION 5.00
Begin VB.Form AdminPanel 
   Caption         =   "Admin Panel"
   ClientHeight    =   2850
   ClientLeft      =   4575
   ClientTop       =   4455
   ClientWidth     =   4305
   LinkTopic       =   "Form1"
   ScaleHeight     =   2850
   ScaleWidth      =   4305
   Begin VB.CommandButton DeleteQuestion 
      Caption         =   "Delete Last Ques."
      Height          =   375
      Left            =   2640
      TabIndex        =   17
      Top             =   0
      Width           =   1575
   End
   Begin VB.ComboBox QuestionList 
      Height          =   315
      Left            =   840
      Style           =   2  'Dropdown List
      TabIndex        =   16
      Top             =   0
      Width           =   615
   End
   Begin VB.TextBox Answer 
      Height          =   285
      Index           =   4
      Left            =   840
      TabIndex        =   7
      Top             =   2400
      Width           =   3015
   End
   Begin VB.OptionButton CorrectAnswerLabel 
      Caption         =   "Option1"
      Height          =   255
      Index           =   3
      Left            =   3960
      TabIndex        =   14
      TabStop         =   0   'False
      Top             =   2400
      Width           =   255
   End
   Begin VB.TextBox Answer 
      Height          =   285
      Index           =   3
      Left            =   840
      TabIndex        =   6
      Top             =   1920
      Width           =   3015
   End
   Begin VB.OptionButton CorrectAnswerLabel 
      Caption         =   "Option1"
      Height          =   255
      Index           =   2
      Left            =   3960
      TabIndex        =   12
      TabStop         =   0   'False
      Top             =   1920
      Width           =   255
   End
   Begin VB.TextBox Answer 
      Height          =   285
      Index           =   2
      Left            =   840
      TabIndex        =   5
      Top             =   1440
      Width           =   3015
   End
   Begin VB.OptionButton CorrectAnswerLabel 
      Caption         =   "Option1"
      Height          =   255
      Index           =   1
      Left            =   3960
      TabIndex        =   10
      TabStop         =   0   'False
      Top             =   1440
      Width           =   255
   End
   Begin VB.TextBox Answer 
      Height          =   285
      Index           =   1
      Left            =   840
      TabIndex        =   4
      Top             =   960
      Width           =   3015
   End
   Begin VB.OptionButton CorrectAnswerLabel 
      Caption         =   "Option1"
      Height          =   255
      Index           =   0
      Left            =   3960
      TabIndex        =   8
      TabStop         =   0   'False
      Top             =   960
      Width           =   255
   End
   Begin VB.TextBox Answer 
      Height          =   285
      Index           =   0
      Left            =   840
      TabIndex        =   3
      Top             =   480
      Width           =   3015
   End
   Begin VB.CommandButton AddQuestion 
      Caption         =   "Add Question"
      Height          =   375
      Left            =   1440
      TabIndex        =   1
      Top             =   0
      Width           =   1215
   End
   Begin VB.Label QuestionLabel 
      Caption         =   "Answer 4:"
      Height          =   255
      Index           =   5
      Left            =   0
      TabIndex        =   15
      Top             =   2400
      Width           =   855
   End
   Begin VB.Label QuestionLabel 
      Caption         =   "Answer 3:"
      Height          =   255
      Index           =   4
      Left            =   0
      TabIndex        =   13
      Top             =   1920
      Width           =   855
   End
   Begin VB.Label QuestionLabel 
      Caption         =   "Answer 2:"
      Height          =   255
      Index           =   3
      Left            =   0
      TabIndex        =   11
      Top             =   1440
      Width           =   855
   End
   Begin VB.Label QuestionLabel 
      Caption         =   "Answer 1:"
      Height          =   255
      Index           =   2
      Left            =   0
      TabIndex        =   9
      Top             =   960
      Width           =   855
   End
   Begin VB.Label QuestionLabel 
      Caption         =   "Question"
      Height          =   255
      Index           =   1
      Left            =   0
      TabIndex        =   2
      Top             =   480
      Width           =   855
   End
   Begin VB.Label QuestionLabel 
      Caption         =   "Question #:"
      Height          =   375
      Index           =   0
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1095
   End
End
Attribute VB_Name = "AdminPanel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Type Question
    Question As String
    Answers(1 To 4) As String
    Answer As Byte
End Type
Dim Questions() As Question
Dim NumQuestions As Integer
    
Private Sub AddQuestion_Click()
Dim BackQuestions() As Question
    If NumQuestions > 0 Then ReDim BackQuestions(0 To NumQuestions - 1) As Question
Dim i As Integer
For i = 0 To NumQuestions - 1
    BackQuestions(i) = Questions(i)
Next i
NumQuestions = NumQuestions + 1
ReDim Questions(0 To NumQuestions - 1)
For i = 0 To NumQuestions - 2
    Questions(i) = BackQuestions(i)
Next i
QuestionList.AddItem NumQuestions
QuestionList.ListIndex = NumQuestions - 1
End Sub

Private Sub Answer_Change(Index As Integer)
If Index = 0 Then
    Questions(QuestionList.ListIndex).Question = Answer(Index).Text
Else
    Questions(QuestionList.ListIndex).Answers(Index) = Answer(Index).Text
End If
End Sub

Private Sub CorrectAnswerLabel_Click(Index As Integer)
Questions(QuestionList.ListIndex).Answer = Index
End Sub

Private Sub DeleteQuestion_Click()
If NumQuestions = 0 Then Exit Sub
NumQuestions = NumQuestions - 1
ReDim Preserve Questions(0 To NumQuestions - 1) As Question
QuestionList.RemoveItem NumQuestions
End Sub

Private Sub Form_Load()
Dim i As Integer
If Dir(App.Path + "\questions.dat") <> "" Then
    Open App.Path + "\questions.dat" For Binary As #1
        Get #1, , NumQuestions
        ReDim Questions(0 To NumQuestions - 1)
        Get #1, , Questions
    Close #1
    For i = 1 To NumQuestions
        QuestionList.AddItem Trim$(i)
    Next i
End If
If NumQuestions > 0 Then QuestionList.ListIndex = 0
End Sub

Private Sub Form_Unload(Cancel As Integer)
If Dir(App.Path + "\questions.dat") <> "" Then Kill App.Path + "\questions.dat"
Open App.Path + "\questions.dat" For Binary As #1
    Put #1, , NumQuestions
    Put #1, , Questions
Close #1
End Sub

Private Sub QuestionList_Click()
Dim i As Integer
For i = 1 To 4
    Answer(i).Text = Questions(QuestionList.ListIndex).Answers(i)
    CorrectAnswerLabel(i - 1).Value = False
Next i
CorrectAnswerLabel(Questions(QuestionList.ListIndex).Answer).Value = True
Answer(0).Text = Questions(QuestionList.ListIndex).Question
End Sub
